spring.application.name=backend
server.port=8080
spring.datasource.url=jdbc:mysql://ecs1.heshunme.xyz:3306/cmh
spring.datasource.username=neu
spring.datasource.password=5rWL55uf5rGH5a6e6K6t5bCP57uE
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
# JPA settings
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL8Dialect
# Data source pool properties
spring.datasource.hikari.maximum-pool-size=10
spring.datasource.hikari.minimum-idle=5
spring.datasource.hikari.idle-timeout=30000
spring.datasource.hikari.pool-name=SpringBootHikariCP
spring.datasource.hikari.max-lifetime=2000000
spring.datasource.hikari.connection-timeout=30000
# Servlet
server.servlet.encoding.enabled=true
server.servlet.encoding.force=true
server.servlet.encoding.charset=utf-8
# verificationCode
verification.code.images.path=src/main/resources/static/verificationCodeImages
# set the max size of a single file
spring.servlet.multipart.max-file-size=500MB
# set the max size of the total request
spring.servlet.multipart.max-request-size=500MB


